Supported FTB Lite 3 {ALPHA} Bug Reports

Discussion in 'Modpack Bugs' started by Jadedcat, Sep 16, 2014.

  1. Matt_Bradock

    Matt_Bradock New Member

    Mod pack: FTB Lite 3
    Version: 1.0.4
    Minecraft version: 1.7.10
    What's the bug?: FTB launch wrapper fails to start after updating modpack.
    Reproducible: Every single time I try to start it.
    Java version: 1.7.0_71(see log) and 1.8.0_25 (tried that hoping it'd work, didn't.)
    Log from console:
    This pack is a development and testing pack.
    It is not to be considered stable.
    Mods may be moved in and out of this pack with no warning.
    Worlds may need re-set without warning.
    Logging in...
    Beginning authlib authentication attempt
    successfully created YggdrasilAuthenticationService
    Login complete.
    Checking local assets file, for MC version1.7.10 Please wait!
    Setting up native libraries for Alpha FTBLite 3 v 1.0.4 MC 1.7.10
    Syncing Assets:
    Java Path: C:\Program Files\Java\jre7\bin\javaw.exe
    Pack: Alpha FTBLite 3 1.7.10
    Setting MinMemory to 256
    Setting MaxMemory to 2048
    Defaulting PermSize to 256m
    [17:11:53] [main/INFO] [LaunchWrapper]: Loading tweak class name cpw.mods.fml.common.launcher.FMLTweaker
    [17:11:53] [main/INFO] [LaunchWrapper]: Using primary tweak class name cpw.mods.fml.common.launcher.FMLTweaker
    [17:11:53] [main/INFO] [LaunchWrapper]: Calling tweak class cpw.mods.fml.common.launcher.FMLTweaker
    [17:11:53] [main/INFO] [FML]: Forge Mod Loader version 7.10.25.1208 for Minecraft 1.7.10 loading
    [17:11:53] [main/INFO] [FML]: Java is Java HotSpot(TM) 64-Bit Server VM, version 1.7.0_71, running on Windows 7:amd64:6.1, installed at C:\Program Files\Java\jre7
    [17:11:53] [main/WARN] [FML]: The coremod aroma1997.core.coremod.CoreMod does not have a MCVersion annotation, it may cause issues with this version of Minecraft
    [17:11:53] [main/WARN] [FML]: The coremod codechicken.core.launch.CodeChickenCorePlugin does not have a MCVersion annotation, it may cause issues with this version of Minecraft
    [17:11:54] [main/WARN] [FML]: The coremod cofh.asm.LoadingPlugin does not have a MCVersion annotation, it may cause issues with this version of Minecraft
    [17:11:54] [main/WARN] [FML]: The coremod codechicken.core.launch.DepLoader does not have a MCVersion annotation, it may cause issues with this version of Minecraft
    [17:11:55] [main/WARN] [FML]: The coremod invtweaks.forge.asm.FMLPlugin does not have a MCVersion annotation, it may cause issues with this version of Minecraft
    [17:11:55] [main/WARN] [FML]: The coremod mcp.mobius.mobiuscore.asm.CoreDescription does not have a MCVersion annotation, it may cause issues with this version of Minecraft
    [17:11:55] [main/WARN] [FML]: The coremod codechicken.nei.asm.NEICorePlugin does not have a MCVersion annotation, it may cause issues with this version of Minecraft
    [17:11:55] [main/INFO] [LaunchWrapper]: Loading tweak class name cpw.mods.fml.common.launcher.FMLInjectionAndSortingTweaker
    [17:11:55] [main/INFO] [LaunchWrapper]: Loading tweak class name cpw.mods.fml.common.launcher.FMLDeobfTweaker
    [17:11:55] [main/INFO] [LaunchWrapper]: Calling tweak class cpw.mods.fml.common.launcher.FMLInjectionAndSortingTweaker
    [17:11:55] [main/INFO] [LaunchWrapper]: Calling tweak class cpw.mods.fml.common.launcher.FMLInjectionAndSortingTweaker
    [17:11:55] [main/INFO] [LaunchWrapper]: Calling tweak class cpw.mods.fml.relauncher.CoreModManager$FMLPluginWrapper
    [17:12:01] [main/INFO] [FML]: Found valid fingerprint for Minecraft Forge. Certificate fingerprint e3c3d50c7c986df74c645c0ac54639741c90a557
    [17:12:01] [main/INFO] [FML]: Found valid fingerprint for Minecraft. Certificate fingerprint cd99959656f753dc28d863b46769f7f8fbaefcfc
    [17:12:01] [main/INFO] [LaunchWrapper]: Calling tweak class cpw.mods.fml.relauncher.CoreModManager$FMLPluginWrapper
    [17:12:01] [main/INFO] [LaunchWrapper]: Calling tweak class cpw.mods.fml.relauncher.CoreModManager$FMLPluginWrapper
    [17:12:02] [main/INFO] [LaunchWrapper]: Calling tweak class cpw.mods.fml.relauncher.CoreModManager$FMLPluginWrapper
    [17:12:02] [main/INFO] [Aroma1997Core]: Finished data injection.
    [17:12:02] [main/INFO] [Aroma1997Core]: Finished data injection.
    [17:12:02] [main/INFO] [LaunchWrapper]: Calling tweak class cpw.mods.fml.relauncher.CoreModManager$FMLPluginWrapper
    [17:12:02] [main/INFO] [LaunchWrapper]: Calling tweak class cpw.mods.fml.relauncher.CoreModManager$FMLPluginWrapper
    [17:12:02] [main/INFO] [LaunchWrapper]: Calling tweak class cpw.mods.fml.relauncher.CoreModManager$FMLPluginWrapper
    [17:12:02] [main/INFO] [LaunchWrapper]: Calling tweak class cpw.mods.fml.relauncher.CoreModManager$FMLPluginWrapper
    [17:12:02] [main/INFO] [INpurePreloader]: Attempting to detect JVM version...
    [17:12:02] [main/INFO] [INpurePreloader]: Detected JVM: 1.7
    [17:12:02] [main/INFO] [INpurePreloader]: Starting library configuration...
    [17:12:03] [main/INFO] [INpureLogInterceptor]: System attached to FML. Now intercepting all logging calls.
    [17:12:03] [main/INFO] [LaunchWrapper]: Calling tweak class cpw.mods.fml.relauncher.CoreModManager$FMLPluginWrapper
    [17:12:03] [main/INFO] [LaunchWrapper]: Calling tweak class cpw.mods.fml.relauncher.CoreModManager$FMLPluginWrapper
    [17:12:03] [main/INFO] [LaunchWrapper]: Calling tweak class cpw.mods.fml.relauncher.CoreModManager$FMLPluginWrapper
    [17:12:03] [main/INFO] [LaunchWrapper]: Calling tweak class cpw.mods.fml.common.launcher.FMLDeobfTweaker
    Adding Accesstransformer map: CoFH_at.cfg
    [17:12:05] [main/INFO] [LaunchWrapper]: Loading tweak class name cpw.mods.fml.common.launcher.TerminalTweaker
    [17:12:05] [main/INFO] [LaunchWrapper]: Calling tweak class cpw.mods.fml.common.launcher.TerminalTweaker
    [17:12:06] [main/INFO] [LaunchWrapper]: Launching wrapped minecraft {net.minecraft.client.main.Main}
    [17:12:07] [main/ERROR] [LaunchWrapper]: Unable to launch
    java.lang.reflect.InvocationTargetException
    at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method) ~[?:1.7.0_71]
    at sun.reflect.NativeMethodAccessorImpl.invoke(Unknown Source) ~[?:1.7.0_71]
    at sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown Source) ~[?:1.7.0_71]
    at java.lang.reflect.Method.invoke(Unknown Source) ~[?:1.7.0_71]
    at net.minecraft.launchwrapper.Launch.launch(Launch.java:134) [launchwrapper-1.9.jar:?]
    at net.minecraft.launchwrapper.Launch.main(Launch.java:28) [launchwrapper-1.9.jar:?]
    Caused by: java.lang.NoClassDefFoundError: net/minecraft/client/Minecraft
    at net.minecraft.client.main.Main.main(SourceFile:72) ~[Main.class:?]
    ... 6 more
    Caused by: java.lang.ClassNotFoundException: net.minecraft.client.Minecraft
    at net.minecraft.launchwrapper.LaunchClassLoader.findClass(LaunchClassLoader.java:188) ~[launchwrapper-1.9.jar:?]
    at java.lang.ClassLoader.loadClass(Unknown Source) ~[?:1.7.0_71]
    at java.lang.ClassLoader.loadClass(Unknown Source) ~[?:1.7.0_71]
    at net.minecraft.client.main.Main.main(SourceFile:72) ~[Main.class:?]
    ... 6 more
    Caused by: java.lang.NoSuchMethodError: org.objectweb.asm.tree.MethodInsnNode.<init>(ILjava/lang/String;Ljava/lang/String;Ljava/lang/String;Z)V
    at cofh.asm.ASMCore.alterMinecraft(ASMCore.java:325) ~[CoFHCore-%5B1.7.10%5D3.0.0B8-36.jar:?]
    at cofh.asm.ASMCore.transform(ASMCore.java:177) ~[CoFHCore-%5B1.7.10%5D3.0.0B8-36.jar:?]
    at cofh.asm.PCCASMTransformer.transform(PCCASMTransformer.java:41) ~[PCCASMTransformer.class:?]
    at net.minecraft.launchwrapper.LaunchClassLoader.runTransformers(LaunchClassLoader.java:276) ~[launchwrapper-1.9.jar:?]
    at net.minecraft.launchwrapper.LaunchClassLoader.findClass(LaunchClassLoader.java:174) ~[launchwrapper-1.9.jar:?]
    at java.lang.ClassLoader.loadClass(Unknown Source) ~[?:1.7.0_71]
    at java.lang.ClassLoader.loadClass(Unknown Source) ~[?:1.7.0_71]
    at net.minecraft.client.main.Main.main(SourceFile:72) ~[Main.class:?]
    ... 6 more
    [i18n] Added 0 enUS to options pane
    [i18n] Added 1 cyGB to options pane
    [i18n] Added 2 daDK to options pane
    [i18n] Added 3 deDE to options pane
    [i18n] Added 4 enUS to options pane
    [i18n] Added 5 enGB to options pane
    [i18n] Added 6 esES to options pane
    [i18n] Added 7 fiFI to options pane
    [i18n] Added 8 frFR to options pane
    [i18n] Added 9 itIT to options pane
    [i18n] Added 10 nlNL to options pane
    [i18n] Added 11 noNO to options pane
    [i18n] Added 12 maHU to options pane
    [i18n] Added 13 ptBR to options pane
    [i18n] Added 14 ptPT to options pane
    [i18n] Added 15 ruRU to options pane
    [i18n] Added 16 svSE to options pane
    [i18n] Added 17 zhCN to options pane
    [i18n] enUS English (US) language file loaded!
     
  2. danirpg

    danirpg New Member

    Mod pack: FTB Lite 3
    Version: 1.0.4
    Minecraft version: 1.7.10
    What's the bug?: FTB launch wrapper fails to start after updating modpack.
    Reproducible: Every single time I try to start it.
    Java version: 1.7.0_71(see log) and 1.8.0_25 (tried that hoping it'd work, didn't.)
    Log from console: http://paste.feed-the-beast.com/view/a5f92b22
     
  3. d3w10n

    d3w10n Active Member

    Mod pack: FTB Lite 3
    Version: 1.0.4
    Minecraft version: 1.7.10
    What's the bug?: FTB launch wrapper fails to start after updating modpack. It seems that FTB forces its way of using different Java parts?
    Reproducible: Every single time I try to start it.
    Java version: 1.7.0_71 and 1.8.0_25
    Log from console (1.7.0_71): http://pastebin.com/G3AKm29g
    Log from console (1.8.0_25): http://pastebin.com/FDmrt4zd
     
  4. Alex Cubed

    Alex Cubed New Member

    Mod Pack: FTB Lite 3
    Version: 1.0.4
    Minecraft version: 1.7.10
    What's the bug?: FTB launch wrapper fails to start after updating modpack.
    Reproducible: Every launch.
    Java version: 1.7.0_67 64-bit, 1.8.0_25 64-bit
    Log: http://paste.feed-the-beast.com/view/5ca27df9
     
    Last edited: Dec 4, 2014
  5. Naumnaum

    Naumnaum New Member

    Mod Pack: FTB Lite 3
    Version: 1.0.4
    Minecraft version: 1.7.10
    What's the bug?: FTB launch wrapper fails to start after updating modpack.
    Reproducible: Every launch.
    Java version: 1.7.0_45
    Log: http://paste.feed-the-beast.com/view/1fefc692
     
  6. Reif

    Reif New Member

    Mod Pack: FTB Lite 3
    Version: 1.0.4
    MC version: 1.7.10
    Bug: Crashes before opening Minecraft, wrapper failure.
    Reproduce: Everytime.
    Java Version: I tried OpenJDK 6/7 and Oracle 7 and 8.
    Log: http://hastebin.com/mawavigusa.vhdl
    OS: Xubuntu 14.04(modified for Acer c720 chromebook)

    Seems like the same error as above, posted by Naumnaum etc.

    Based on the following log I replaced all the mods listed with the default versions from the dev's and still no fix.

    [18:22:29] [main/WARN] [FML]: The coremod aroma1997.core.coremod.CoreMod does not have a MCVersion annotation, it may cause issues with this version of Minecraft
    [18:22:29] [main/WARN] [FML]: The coremod codechicken.core.launch.CodeChickenCorePlugin does not have a MCVersion annotation, it may cause issues with this version of Minecraft
    Warning: version of CodeChickenLib, 1.1.1.99 is newer than request 1.1.1.93
    [18:22:30] [main/WARN] [FML]: The coremod cofh.asm.LoadingPlugin does not have a MCVersion annotation, it may cause issues with this version of Minecraft
    [18:22:30] [main/WARN] [FML]: The coremod codechicken.core.launch.DepLoader does not have a MCVersion annotation, it may cause issues with this version of Minecraft
    [18:22:30] [main/WARN] [FML]: The coremod invtweaks.forge.asm.FMLPlugin does not have a MCVersion annotation, it may cause issues with this version of Minecraft
    [18:22:30] [main/INFO] [FML]: Loading tweaker net.minecraftforge.lex.legacyjavafixer.LegacyJavaFixer from legacyjavafixer-1.0.jar
    [18:22:30] [main/WARN] [FML]: The coremod mcp.mobius.mobiuscore.asm.CoreDescription does not have a MCVersion annotation, it may cause issues with this version of Minecraft
    [18:22:30] [main/WARN] [FML]: The coremod codechicken.nei.asm.NEICorePlugin does not have a MCVersion annotation, it may cause issues with this version of Minecraft
     
    Last edited: Dec 4, 2014
  7. d3w10n

    d3w10n Active Member

    Mod pack: FTB Lite 3
    Version: 1.0.5
    Minecraft version: 1.7.10
    What's the bug?: FTB launch wrapper fails to start after updating modpack, same as 1.0.4. Removing Java 8.xx did not solve anything.
    Reproducible: Every single time I try to start it.
    Java version: 1.7.0_71 and 1.8.0_25
    Log from console (1.7.0_71): http://pastebin.com/bJC9DwXa
    Log from console (1.8.0_25): http://pastebin.com/0wxv4T05
    Log from console (1.7.0_71; after Java 8.xx removal): http://pastebin.com/CBasUnX9
     
  8. Captainnana

    Captainnana New Member

    Try force update on your client, works fine here
     
  9. d3w10n

    d3w10n Active Member

    That didn't work, so I decided to delete every trace of FTB from AppData, Registry and install folder; relaunched and after download IT WORKED.
    So if anyone has same problem, just reinstall FTB (if you can say that) and it might fix it. Now it works both on java7 and java8
     
  10. AuoroP

    AuoroP New Member

    Most importantly: the Lite series /should/ be a great thing to reccomend newcomers to FTB. I can't tell you how disappointed I am that Lite3 is still a broken alpha after so long with 1.7.

    * Progressive Automation tree farms only plant 1 tree instead of a ring.
    * MFR block breaker broke save on load twice; fixed with MCEdit.
    * generally, fluids and energy are broken.
    e.g. putting aqueous accumulator under steam dynamo doesn't transfer fluid.
    Extra Utilities energy transfer is broken,.
    MFR fluid pipes

    Concrete feedback for future Lite series.
    Change pack description text to start with exclation: great for fist FTB users!
    You need messaging to push this message to the public: Learn Lite!
    Towards making that line true this is the first project the literary team should have tackled!

    For other people looking for a tutorial, Pathfinder looks like a promising.
     
    Samihazah likes this.
  11. Jadedcat

    Jadedcat New Member

    Progwml6 was supposed to be updating Lite 3 after I stepped back from pack creation when the new team was brought on. I'm not sure what happened or why it wasn't kept up to date. :(
     
  12. d3w10n

    d3w10n Active Member

    Jade, from now one I will call you Gabe :D

    I am not sure why standard release model isn't used with FTB packs; as I understood you build prolonged alpha, then really short time beta and final 1.0 release. No matter how thorough testing you guys do, you cannot match millions of players playing this game, so we can provide better bug feedback. But 1.0.5 version is full of bugs because old addons are still in it, most of them are fixed if you manually update addons to newer version (energy pipes for instance).

    I guess changes in FTB team will take time, and we will just have to deal with it. But since there is no any news regarding these packs, we do feel like starving direwolves.
     
  13. Jadedcat

    Jadedcat New Member

    I am not part of FTB anymore. You'll need to take it up with them.
     
  14. Samihazah

    Samihazah New Member

    Few days ago, I silently celebrated 6 month anniversary of Lite 3 going public, as always, checking the launcher for 1.0.6 or perhaps even 1.1.0.
    It's been too long.
     
  15. Pokedev

    Pokedev New Member

    I just updated NEI n suddenly NEI isn't showing any Items! The reason I updated NEI was because I'm used to Searchong for items using "@[ModName]" which was failing in the vesion provided in FTB lite3. So Anyone knows What's the problem?
     
  16. AuoroP

    AuoroP New Member

    If you have a look at, cant see my items on nei, in Tech Support you'll find another someone else with the same problem updated NEI recently so that looks like NEI is just bugged so you need a different version. I'm also worried you'll be sad because in my version @ModPack searches are really slow so the feature you want may not be worthwhile but good luck! :)
     
  17. Arron Syaoran

    Arron Syaoran New Member

    Mod Pack: FTB Lite 3
    Mod & Version: Redstone Arsenal 1.1.0RC1
    Pastebin link to crash log: No Crash
    Whats the bug?: Flux Infused Shovel doesn't function as a Hoe. It works as a Shovel through Left Clicking, but Right clicking on dirt does not till the dirt. Not sure if it only works on the surface since this was tested in an underground farm.
    Can it be repeated?: Yes. Craft a Flux-Infused Shovel(ID 4277) in Survival, Charge it with either Flux Pack from Simply Jetpacks or Energy Infuser from Thermal Expansion and try to till dirt near water underground.
    Known Fix: None.
     
  18. James1345

    James1345 New Member

    Mod Pack: FTB Lite 3
    Mod & Version: Thermal Dynamics (unknown)
    What's the bug?: Thermal Dynamics is missing. The .jar file is simply not there - so none of the ducts are available
    Repeatable: Yes
    Known Fix: None - attempted to add it myself - all kinds of version hell happened
     
  19. Endorphinz

    Endorphinz New Member

    Mod Pack: FTB Lite 3
    Mod & Version: FTB lite 3 1.2.1, unsure which mod causes it
    Pastebin link to crash log: no crash report that I'm aware of
    Whats the bug?
    Exiting from minecraft will not get rid of the corresponding java process, and it will cause problems next time I try and load up FTBL3 (it will pop up with "Error loading native libraries", presumably because minecraft resources are still in use). This does not occur when I use other mod packs so far.
    Can it be repeated?
    Every time FTBL3 is closed, yes.
    Known Fix:
    The FTB icon still remains in the taskbar, I can select "kill minecraft" from there, or end the javaw.exe process.

    Sorry if this has been addressed before, I didn't see anyone who had mentioned this, if you need any more information I'll try to get back to this
     
  20. d3w10n

    d3w10n Active Member

    Mod Pack: FTB Lite 3
    Mod & Version: 1.2.1 (and presumably any other version)
    Pastebin link to crash log: Not a crash
    Whats the bug: There is no "Potion of Nausea", it cannot be crafted. This potion is necessary for "Pseudo-Inversion Sigil Ritual" and without it final tier of Sigil stone cannot be achieved in this modpack.
    Can it be repeated? Yes
    Known Fix: None so far.
     

Share This Page